Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all themes and other packages

From: Dmitry Gutov <[email-masked]>
Date: Thu, 31 Oct 2019 19:29:44 +0200

On 31.10.2019 18:06, Jonas Bernoulli wrote:
> Dmitry keeps urging me to comment here, so I am doing that even though
> I don't feel like I understand this enough yet to not make a fool of
> myself.  Oh well, if you insist.

I make a fool of myself on a regular basis.

> IMO going with a `noextend' attribute instead of `extend' would be that
> alternative approach.  Even if `extend' does not require any special
> treatment and even if it does not require each and every theme to be
> adjusted.  Again, I don't know whether there is any special treatment
> and whether themes have to be adjusted.

Personally, I'd go with a simple symbol property instead of face 
attributes, so themes are unaffected either way. But we'd need good 
reasons to change the design now.

> (It should be clear by now that I am not so happy that Dmitry kept
> urging me to comment here.)

I appreciate you doing that anyway.